
Lookup Editor - Feature #2099

App status information page

10/20/2017 09:21 PM - Luke Murphey

Status: Closed Start date: 10/20/2017

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.0   

Description

Add a page to show the app status including:

Whether the lookup backups REST handler is functioning

Whether the main REST handler is functioning

History of lookup operations (created, updated, deleted, etc.)

Associated revisions

Revision 368 - 10/21/2017 12:09 AM - lukemurphey

Added ping in default REST handler for determining of the endpoint is up

Reference #2099

Revision 369 - 10/21/2017 12:12 AM - lukemurphey

Adding new status view

Reference #2099

Revision 372 - 10/21/2017 07:20 AM - lukemurphey

Setting the mimetype so that the logs returned by the REST handler don't generate warning when called from | rest

Closes #2099

History

#1 - 10/21/2017 12:15 AM - Luke Murphey

Create logs:

CSV:

KV: ?

Edit logs:

CSV: Lookup edited successfully

KV: sourcetype=splunkd_access

Delete logs:

CSV:

KV:

Disable logs:

KV:

Read logs:
CSV/KV: Retrieving lookup contents

#2 - 10/21/2017 12:15 AM - Luke Murphey

- % Done changed from 0 to 40

#3 - 10/21/2017 12:16 AM - Luke Murphey

I could show the number of requests for each REST handler.

#4 - 10/21/2017 07:21 AM - Luke Murphey

There isn't enough logs available from Splunk to do the audit page I wanted

#5 - 10/21/2017 07:21 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 40 to 100
